EDIT - bug #6828

SpecimenOrObservation and Person/Team missing in Cache updater
07/18/2017 11:24 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

Walter:

Ich habe die Landesbezeichnung im Term-Editor fir Named Area in El Salvador geéndert — das wird aber auch nach einem
Reconnect im Factual Data view nicht Gbernommen — bei den Admin-Database Repair Options fehlen die Specimen beim
Cache-Update.

Also Person and Team are missing in Cache-Updater

Associated revisions

Revision 2fe99213 - 08/15/2017 09:53 AM - Katja Luther

add specimen, person and team cache updater to admin menu

Revision bOb118a7 - 08/15/2017 09:55 AM - Katja Luther

add i18N file changes for repair wizard

Revision 9f65ce1c - 08/15/2017 10:03 AM - Katja Luther

ref #6828:adapt cache updater to work for specimenOrObservationBase

History

#1 - 07/18/2017 11:48 AM - Andreas Miiller

Shouldn't we split this in 2 tickets? Also | guess at least part 2 is to be assigned to KL?

#2 - 07/18/2017 11:49 AM - Andreas Mdiller

- Subject changed from Change of NamedAre terms does not get reflected in facutal data view to Change of NamedArea terms does not get reflected
in facutal data view

#3 - 07/18/2017 12:43 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

Andreas Muller wrote:

Shouldn't we split this in 2 tickets? Also | guess at least part 2 is to be assigned to KL?

Then | did not understand what the problem was. Can you split up the ticket, please?

#4 - 07/18/2017 02:28 PM - Andreas Miiller
- Subject changed from Change of NamedArea terms does not get reflected in facutal data view to SpecimenOrObservation missing in Cache updater
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.9

maybe you are right, | thought it is also an update problem in the factual data view, but probably it is mostly a specimen titleCache update issue which
can be worked around with including specimen to the admin cache updater.
#5 - 07/21/2017 10:28 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 08/01/2017 12:36 PM - Andreas Miiller

- Tags set to salvador

#7 - 08/01/2017 12:37 PM - Andreas Miiller

- Description updated

#8 - 08/22/2017 11:17 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

please review

#9 - 08/22/2017 12:41 PM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

| am not sure how to test the titteCache generation but the code looks fine.
Is there a way to produce a "wrong" tittleCache which can be repaired?

#10 - 08/22/2017 01:03 PM - Katja Luther

Change the title of a person which is used as collector in bulk editor. Then the titleCache of the field unit needs to be updated.

#11 - 08/28/2017 12:35 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#12 - 09/15/2017 03:55 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 100

Updating the chache via the admin menu works fine

#13 - 09/24/2017 11:05 PM - Andreas Miiller

- Subject changed from SpecimenOrObservation missing in Cache updater to SpecimenOrObservation and Person/Team missing in Cache updater
